%define anolis_release 1
%global pypiname templated-dictionary

Name:       python-%{pypiname}
Version:    1.4
Release:    %{anolis_release}%{?dist}
Summary:    Dictionary with Jinja2 expansion

License:    GPL-2.0-or-later
URL:        https://github.com/xsuchy/templated-dictionary
Source0:    https://github.com/xsuchy/templated-dictionary/archive/refs/tags/%{name}-%{version}-1.tar.gz

BuildArch: noarch

BuildRequires: python3-devel python3-setuptools

%description 
Dictionary where __getitem__() is run through Jinja2 template.

%package -n python3-%{pypiname}
Summary: %{summary}
Requires:      python3-jinja2
%{?py_provides:%py_provides python3-%{pypiname}}

%description -n python3-%{pypiname} 
Dictionary where __getitem__() is run through Jinja2 template.

%prep
%autosetup -n templated-dictionary-%{name}-%{version}-1 -p1

%build
version="%version" %py3_build

%install
version=%version %py3_install


%files -n python3-%{pypiname}
%license LICENSE
%{python3_sitelib}/templated_dictionary-*.egg-info/
%{python3_sitelib}/templated_dictionary/

%changelog
* Thu Jun 13 2024 songmingliang <songmingliang@uniontech.com> - 1.4-1
- update to python-templated-dictionary-1.4
- fix CVE-2023-6395

* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.2-2
- Rebuild with python3.11

* Fri Apr 21 2023 happy_orange <songnannan@linux.alibaba.com> 1.2-1
- init package
